Bug 194958

Summary: Stop using legacy IDB path by default when creating WebProcessPool from websiteDataStore
Product: WebKit Reporter: Sihui Liu <sihui_liu>
Component: New BugsAssignee: Sihui Liu <sihui_liu>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ggaren, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Sihui Liu 2019-02-22 13:01:01 PST
ProcessPoolConfiguration::ProcessPoolConfiguration() uses WebsiteDataStore::defaultIndexedDBDatabaseDirectory(), but ProcessPoolConfiguration::createWithWebsiteDataStoreConfiguration(const WebKit::WebsiteDataStoreConfiguration&) always uses WebsiteDataStore::legacyDefaultIndexedDBDatabaseDirectory().
Therefore it's possible we operate on different directories when using WKWebsiteDataStore.
Comment 1 Sihui Liu 2019-02-22 13:21:09 PST
Created attachment 362756 [details]
Patch
Comment 2 Geoffrey Garen 2019-02-23 09:20:11 PST
Comment on attachment 362756 [details]
Patch

r=me
Comment 3 WebKit Commit Bot 2019-02-28 10:15:27 PST
Comment on attachment 362756 [details]
Patch

Clearing flags on attachment: 362756

Committed r242203: <https://trac.webkit.org/changeset/242203>
Comment 4 WebKit Commit Bot 2019-02-28 10:15:29 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-02-28 10:17:27 PST
<rdar://problem/48478526>